/**
 * Custom CSS file
 *
 * This file should contain all styling specifically for this site. 
 * This file can (and should) be overwritten in a child-theme. 
 */

:root {
    --ttp-primary: #446e40;
    --ttp-primary-hover: #113b0d;
    --ttp-secondary: #cd797f;
    --ttp-secondary-hover: #af5d63;
}

a {
    color: var(--ttp-primary);
}

a:hover {
    color: var(--ttp-primary-hover);
}

.btn-primary {
    padding: 10px 18px;
    border-color: var(--ttp-secondary);
    background-color: var(--ttp-secondary);
    border-radius: 2px;
}

.btn-primary:hover {
    border-color: var(--ttp-secondary-hover);
    background-color: var(--ttp-secondary-hover);
}

/*
 * Main menu toggle
 */
.main-menu-toggle {
    cursor: pointer;
}

.main-menu-toggle i {
    margin-top: 11px;
    font-weight: 500;
}

.main-menu-toggle .hamburger-toggle span {
    display: block;
    width: 22px;
    height: 3px;
    margin-bottom: 4px;
    border-radius: 2px;
    background-color: #000;
}

.main-menu-toggle .hamburger-toggle span:last-child {
    margin: 0;
}

@media ( min-width: 767px ) {
    .main-menu-toggle {
        display: none;
    }
}

/*
 * Main Menu (Navigation)
 */
#main-menu .main-menu-header,
#main-menu .main-menu-footer {
    display: none;
}

#main-menu .menu {
    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0;
    padding: 0;
    list-style-type: none;
}

#main-menu .menu .menu-item a {
    display: block;
    padding: 12px 28px;
    font-size: 22px;
    color: #000;
}

#main-menu .menu > .menu-item {
    position: relative;
}

#main-menu .menu > .menu-item > a::before {
    content: "";
    position: absolute;
    left: 0;
    top: calc(100% - 0.1em);
    width: 100%;
    height: 1px;
    background-color: #c4e0b2;
    opacity: .2;
    transition: all .2s ease-in-out;
}

#main-menu .menu > .menu-item:hover > a::before {
    opacity: 1;
    height: 3px;
}

#main-menu .menu > .menu-item.menu-item-has-children > a::after {
    content: '';
    display: inline-block;
    position: relative;
    top: -4px;
    width: 6px;
    height: 6px;
    margin-left: 12px;
    border-left: 1px solid #000;
    border-bottom: 1px solid #000;
    transform: rotate(-45deg);
}

#main-menu .menu > .menu-item.menu-item-has-children.active > a::after {
    top: -1px;
    transform: rotate(135deg);
}

#main-menu .menu > .menu-item > .sub-menu {
    position: absolute;
    min-width: 320px;
    padding: 24px 12px;
    list-style-type: none;
    background-color: #fff;
    box-shadow: 0 4px 12px rgba( 0, 0, 0, .1 );
    opacity: 0;
    visibility: hidden;
    transition: opacity .4s ease-in;
    z-index: 99;
}

#main-menu .menu > .menu-item:hover > .sub-menu {
    opacity: 1;
    visibility: visible;
}

#main-menu .menu > .menu-item > .sub-menu > .menu-item a {
    color: var(--ttp-primary);
}

#main-menu .menu > .menu-item > .sub-menu > .menu-item a:hover {
    opacity: .6;
}

@media ( max-width: 767px ) {
    #main-menu {
        display: flex;
        flex-direction: column;
        position: fixed;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        transform: translateX(-100%);
        transition: all .4s ease-in-out;
        background-color: #fff;
        z-index: 999;
    }

    #main-menu.active {
        transform: translateX(0);
    }

    #main-menu .main-menu-header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin: 20px;
        padding-bottom: 20px;
        border-bottom: 1px solid rgba( 0, 0, 0, .1 );
    }

    #main-menu .main-menu-header img {
        width: 80px;
    }

    #main-menu .menu {
        flex-direction: column;
        align-items: flex-start;
    }

    #main-menu .menu .menu-item a {
        padding: 8px 20px;
        font-size: 18px;
        font-weight: 600;
    }

    #main-menu .menu > .menu-item > .sub-menu > .menu-item a {
        color: #000;
        font-weight: 300;
    }

    #main-menu .menu > .menu-item > a::before {
        content: unset;
    }

    #main-menu .menu > .menu-item > .sub-menu {
        display: none;
        position: relative;
        padding: 0;
        padding-left: 12px;
        opacity: 1;
        visibility: visible;
        box-shadow: unset;
    }

    #main-menu .main-menu-footer {
        display: flex;
        flex-grow: 1;
        margin: 20px;
        margin-top: 0;
    }

    #main-menu .main-menu-footer .wpml-ls-legacy-dropdown .wpml-ls-item {
        display: flex;
    }

    #main-menu .main-menu-footer .wpml-ls-legacy-dropdown .wpml-ls-sub-menu {
        display: flex;
        position: relative;
        padding: 0;
        box-shadow: unset;
        visibility: visible;
    }

    #main-menu .main-menu-footer .wpml-ls-legacy-dropdown a.wpml-ls-item-toggle {
        padding: 16px;
        padding-left: 0;
    }

    #main-menu .main-menu-footer .wpml-ls-legacy-dropdown a.wpml-ls-item-toggle::after {
        content: '';
    }

}


/*
 * Dimensions
 */
.attribute-size .potmaat, 
.attribute-size .hoogtemaat, 
.attribute-size .inhoud {
    margin-top: 4px;
    background: url( 'https://mandevilla.ttpd.dev/wp-content/uploads/2024/01/potmaat.png' );
    background-repeat: no-repeat;
    background-size: 29px 37px;
    padding: 8px 10px 10px 40px;
    display: inline-block;
}

.attribute-size .hoogtemaat {
    background: url( 'https://mandevilla.ttpd.dev/wp-content/uploads/2024/01/hoogtemaat.png' );
    background-repeat: no-repeat;
    background-size: 37px 37px;
}

/*
 * WPML Dropdown
 */
.wpml-elementor-ls .wpml-ls-legacy-dropdown {
    width: fit-content;
}

.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle {
    padding-top: 16px;
    padding-bottom: 16px;
    border: 0;
}

.wpml-ls-legacy-dropdown a.wpml-ls-item-toggle::after {
    content: '\f078';
    top: 55%;
    border: 0;
    font-size: 14px;
    font-weight: 600;
    font-family: 'FontAwesome 5 Pro';
    transform: translateY(-50%);
}

.wpml-ls-legacy-dropdown .wpml-ls-current-language:hover > a, 
.wpml-ls-legacy-dropdown a:focus, 
.wpml-ls-legacy-dropdown a:hover {
    background-color: unset;
}

.wpml-ls-legacy-dropdown .wpml-ls-sub-menu {
    min-width: 160px;
    padding: 16px;
    border: 0;
    box-shadow: 0 4px 12px rgba( 0, 0, 0, .1 );
    background-color: #fff;
}

.wpml-ls-legacy-dropdown .wpml-ls-sub-menu a {
    padding: 16px;
    border: 0;
    text-align: center;
}


/*
 * Product Gallery
 */
.product-gallery {
    display: flex;
}

.product-gallery .product-gallery-nav {
    width: 15%;
    margin-right: 16px;
}

.product-gallery .product-gallery-nav img {
    margin-bottom: 16px;
    cursor: pointer;
}

.product-gallery .product-gallery-thumbnail {
    display: block;
    width: 85%;
}

@media ( max-width: 767px ) {
    .product-gallery .product-gallery-nav {
        display: none;
    }

    .product-gallery .product-gallery-thumbnail {
        width: 100%;
    }

    .product-gallery .swiper-scrollbar {
        margin-top: 12px;
        height: 2px;
    }
}

/*
 * Shop
 */
.woocommerce .woocommerce-ordering select {
    border: 0;

    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;

    vertical-align: middle;
}

.woocommerce .woocommerce-ordering select:focus {
    outline: 0;
}

/*
 * Loop item
 */
.woocommerce-result-count {
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
}

.products .outofstock, 
.products .onbackorder {
    opacity: .5;
}

.products .outofstock:hover, 
.products .onbackorder:hover {
    opacity: 1;
}

.woocommerce-loop-product-wrapper {
    height: 100%;
    padding: 40px;
    border-radius: 5px;
    background: linear-gradient(0deg, rgba(247,237,229,1) 0%, rgba(255,255,255,1) 27%, rgba(255,255,255,1) 100%);
    text-align: center;
}

.woocommerce-loop-product__link {
    display: block;
}

.woocommerce-loop-product__link > img {
    width: 100%;
    margin-bottom: 10px;
    transition: all .2s ease-in-out;
}  

.woocommerce-loop-product-wrapper:hover .woocommerce-loop-product__link > img {
    transform: scale(1.05);
}

.products .woocommerce-loop-product__title {
    margin-bottom: 24px;
    padding-top: 1em;
    font-size: 24px;
    color: var(--ttp-secondary);
}

.woocommerce-loop-product-wrapper .star-rating {
    display: none !important;
}

.woocommerce div.product p.price, 
.woocommerce div.product span.price {
    display: block;
    margin-bottom: 12px;
    color: #0a0a0a;
    font-size: 22px;
    font-weight: 400;
}

.woocommerce div.product p.price ins, 
.woocommerce div.product span.price ins {
    font-weight: 400;
    text-decoration: none;
}

.woocommerce-loop-product-wrapper .btn-primary {
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
}

@media (max-width: 768px) {
	.woocommerce-loop-product-wrapper {
		padding: 16px;
	}
	
	.products-view-grid div.product {
		padding-left: 10px;
		padding-right: 10px;
	}
}

/* 
@media (min-width: 768px) */
.single-product .col-md-4 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
}

/*
 * Tags
 */
.ttp-product-tags {
    position: absolute;
    top: 30px;
    right: 30px;
    z-index: 2;
}

.ttp-tag {
    display: inline-block;
    margin: 2px;
    padding: 0.45em 0.6em 0.5em;
    font-size: 12px;
    font-weight: 600;
    color: #fff;
    line-height: 1;
    text-transform: uppercase;
}

/*
 * Tables
 */
.elementor-widget-text-editor table:not(.shop_table) {
    border-collapse: collapse;
    width: 100%;
}

.elementor-widget-text-editor table:not(.shop_table) tr {
    border: 1px solid #212121;
}

.elementor-widget-text-editor table:not(.shop_table) th,
.elementor-widget-text-editor table:not(.shop_table) td {
    border: 1px solid;
    padding: 0.5em;
}

.overflow-auto {
    overflow-x: auto;
}

/*
 * Linked variations (Product page)
 */
.ttp-product-variations {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 16px;
}

.ttp-product-variations > a {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 14.9%;
    margin: 4px;
    border: 1px solid #eee;
    border-radius: 5px;
    overflow: hidden;
    background-color: #fff;
}

.ttp-product-variations > a.active {
    border-color: var(--ttp-secondary);
}

@media ( max-width: 767px ) {
    .ttp-product-variations > a {
        width: 22%;
    }
}

/*
 * Linked variations (Loop item)
 */
.ttp-loop-variations {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 16px;
}

.ttp-loop-variations > a {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 17.5%;
    margin: 4px;
    border: 1px solid #eee;
    border-radius: 5px;
    overflow: hidden;
}

.ttp-loop-variations > a:first-child {
    display: none;
}

.ttp-loop-variations > a.active {
    border-color: var(--ttp-secondary);
}

@media (max-width: 768px) {
	.ttp-loop-variations > a {
		width: 25%;
	}	
}

/*
 * Navigation
 */
.elementor-nav-menu--main ul.elementor-nav-menu--dropdown a {
    border-left: 0 !important;
}

/*
 * Reviews
 */
/* Header */
.woocommerce-reviews-header {
    display: flex;
    margin-bottom: 30px;
}

.woocommerce-reviews-header > div {
    width: 50%;
}

.woocommerce-reviews-total-rating {
    display: flex;
    align-items: center;
}

.woocommerce-reviews-total-rating-stars {
    margin-right: 8px;
    color: var(--ttp-primary);
    font-size: 14px;
}

.woocommerce-reviews-total-rating span {
    font-size: 14px;
    font-weight: 600;
    font-family: 'Lora', sans-serif;
}

#reviews .woocommerce-Reviews-title {
    font-size: 22px;
    font-weight: 600;
}

.woocommerce-reviews-add {
    font-size: 16px;
    text-decoration: underline !important;
}

/* Table */
.woocommerce-reviews-table-row {
    display: flex;
    align-items: center;
    line-height: 1.6;
}

.woocommerce-reviews-table-row .star-rating {
    font-size: 11px;
    margin-right: 4px;
}

.woocommerce-reviews-table-percentCount,
.woocommerce-reviews-table-ratingsCount,
.woocommerce-reviews-table-percent {
    margin-right: 4px;
    font-size: 14px;
    font-weight: 600;
}

.woocommerce-reviews-table-percent {
    position: relative;
    width: 100%;
    height: 6px;
    background-color: #f0eaea;
}

.woocommerce-reviews-table-percentLevel {
    position: absolute;
    height: 6px;
    background-color: #000;
}

@media ( max-width: 767px ) {
    .woocommerce-reviews-header {
        flex-direction: column;
    }

    .woocommerce-reviews-header > div {
        width: 100%;
    }

    .woocommerce-reviews-rating-table {
        margin-top: 16px;
    }
}

/* Comments */
.commentlist {
    padding: 0;
}

.comment_container > .avatar {
    display: none;
}

.woocommerce #reviews #comments ol.commentlist li {
    margin: 0;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text {
    margin: 0;
    padding: 0;
    padding-top: 30px;
    padding-bottom: 15px;
    border: 0;
    border-top: 1px solid #e7dfdf;
}

.comment-text .star-rating {
    float: unset;
    margin-bottom: 12px;
    color: var(--ttp-primary);
    font-size: 14px;
}

/* form */
.comment-reply-title {
    display: block;
    margin-bottom: 12px;
    font-size: 22px;
    font-weight: 600;
}

.comment-form-rating {
    display: flex;
    align-items: center;
}

.comment-form-rating label {
    margin-right: 8px;
}

.comment-form-rating .stars span {
    display: flex;
}

.comment-form-rating .stars span > a {
    margin-right: 3px;
}

#comment {
    min-height: 200px;
    padding: 20px;
    border-radius: 3px;
    border: 1px solid #eee;
}

#review_form #submit {
    padding-top: 16px 12px !important;
    font-size: 16px !important;
    font-weight: 500 !important;
}

/*
 * Stock
 */
.in-stock {
    color: #446e40 !important;
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
}

.in-stock::before {
    content: '\f058';
    margin-right: 12px;
    font-weight: 300;
    font-family: 'FontAwesome 5 Pro';
}

.stock.out-of-stock {
    font-size: 15px;
    font-weight: 600;
    text-transform: uppercase;
}

.stock.out-of-stock::before {
    content: '\f057';
    margin-right: 12px;
    font-weight: 300;
    font-size: 18px;
    font-family: 'FontAwesome 5 Pro';
}

/*
 * In stock notifier
 */
.cwginstock-subscribe-form .panel-body {
    padding-top: 30px !important; 
}

.cwginstock-subscribe-form .panel-primary {
    border-color: var(--ttp-secondary) !important;
}

.cwginstock-subscribe-form .panel-primary > .panel-heading {
    border-color: var(--ttp-secondary) !important;
    background-color: var(--ttp-secondary) !important;
}

.cwginstock-subscribe-form input[type="text"],
.cwginstock-subscribe-form input[type="email"] {
    border-radius: 4px;
    border: 1px solid #eee;
}

.cwginstock-subscribe-form input[type="submit"] {
    border-radius: 4px;
    border: 0;
	white-space: normal;
    line-height: 1.4;
	font-size: 14px;
}

/*
 * Mini Cart
 */
.elementor-menu-cart__wrapper .elementor-button-icon .elementor-button-icon-qty {
    display: flex !important;
    align-items: center;
    justify-content: center;
    top: 0 !important;
    right: -25px !important;
    width: 25px !important;
    height: 25px !important;
    font-size: 12px !important;
    font-weight: 500 !important;
}

.elementor-menu-cart__wrapper .elementor-menu-cart__main {
    width: 470px;
}

.elementor-menu-cart__main .elementor-menu-cart__products {
    flex-grow: 1;
}

.elementor-menu-cart__main .elementor-menu-cart__product-name a {
    font-size: 17px;
    font-weight: 600;
    color: var(--ttp-primary);
    text-transform: uppercase;
}

.elementor-menu-cart__main .elementor-menu-cart__product-remove {
    top: 20px;
    bottom: unset;
    width: 26px;
    height: 26px;
    border-radius: 3px;
}

.elementor-menu-cart__main .elementor-menu-cart__subtotal {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 0;
    border-bottom: 0;
}

.elementor-menu-cart__main .elementor-menu-cart__subtotal > strong {
    font-size: 16px;
    font-weight: 300;
    text-transform: uppercase;
}

.elementor-menu-cart__main .elementor-menu-cart__subtotal > .amount {
    font-size: 16px;
}

.elementor-menu-cart__main .elementor-menu-cart__footer-buttons .elementor-button {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    font-size: 16px;
    line-height: 1.4;
}

.elementor-menu-cart__main .elementor-menu-cart__footer-buttons .elementor-button--view-cart {
    background-color: var(--ttp-secondary);
}

.elementor-menu-cart__main .elementor-menu-cart__footer-buttons .elementor-button--checkout {
    background-color: var(--ttp-primary);
}

.elementor-menu-cart__main .elementor-menu-cart__footer-buttons .elementor-button--view-cart:hover {
    background-color: var(--ttp-secondary-hover);
}

.elementor-menu-cart__main .elementor-menu-cart__footer-buttons .elementor-button--checkout:hover {
    background-color: var(--ttp-primary-hover);
}

/*
 * Shop filter
 */
@media ( max-width: 767px ) {
    .archive.woocommerce .products.row {
        margin-left: -10px;
        margin-right: -10px;
    }

    .archive.woocommerce .shop-filter {
        position: fixed;
        left: 0;
        top: 0; 

        width: 80%;
        height: 100%;

        z-index: 999;

        transition: all .4s ease-in-out;

        transform: translateX(-100%);
    }

    .archive.woocommerce .shop-filter.active {
        transform: translateX(0);
    }
}

/*
 * FacetWP
 */ 
.facet-wrap .facetwp-facet {
    margin-bottom: 0;
} 

.facet-wrap h5 {
    margin-bottom: 16px; 
}

.facet-wrap .noUi-horizontal {
    height: 6px;
    border: 0;
    background-color: rgb(255, 255, 255);
}

.facet-wrap .noUi-horizontal .noUi-handle {
    top: -7px;
    border: 0;
    border-radius: 50%;
    background-color: var(--ttp-secondary);
}

.facet-wrap .noUi-connect {
    background-color: var(--ttp-secondary);
}

.facet-wrap .facetwp-radio {
    position: relative;
    padding-left: 24px;
    background-image: unset !important;
    font-size: 18px;
}

.facet-wrap .facetwp-radio::before {
    content: '';
    position: absolute;
    top: 6px;
    left: 0;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    border: 1px solid var(--ttp-secondary);
}

.facet-wrap .facetwp-radio.checked::before {
    background-color: var(--ttp-secondary);
}

.facet-wrap .facetwp-slider-label {
    font-size: 16px;
}

.facet-wrap .facetwp-slider[data-disabled="true"] {
    opacity: .2;
}

.facet-wrap .facetwp-slider-reset {
    padding: 0 !important;
    border: 0 !important;
    background-color: unset !important;
    box-shadow: unset !important;
    text-decoration: underline;
    text-transform: none !important;
    color: var(--ttp-secondary) !important;
    font-size: 14px !important;
}

/*
 * Cross Sells
 */
.cart-collaterals .cross-sells h2 {
    font-size: 24px;
}

.cart-collaterals .cross-sells .woocommerce-loop-product-wrapper {
    padding: 20px;
}

.cart-collaterals .cross-sells .ttp-loop-variations {
    display: none;
}

/*
 * Cart page
 */
.cart {}

.woocommerce table.shop_table {
    border-radius: 0;
}

.woocommerce table.shop_table.cart {
    border: 0;
}

.woocommerce table.shop_table.cart thead {
    background-color: #fbf9f9;
}

.woocommerce table.shop_table.cart thead th {
    padding: 20px;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
}

.woocommerce table.shop_table.cart tbody td {
    padding: 20px;
}

.woocommerce table.shop_table.cart .product-name {
    display: flex;
}

.woocommerce table.shop_table.cart .product-name .product-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.woocommerce table.shop_table.cart .product-name a img {
    width: 90px;
    height: 90px;
    margin-right: 20px;
    object-fit: cover;
}

.woocommerce table.shop_table.cart .product-name a {
    font-size: 22.5px;
    color: #0a0a0a;
    line-height: 1.8;
}

.woocommerce table.shop_table.cart .product-name a:hover {
    text-decoration: none;
}

.woocommerce table.shop_table.cart .product-name a.remove {
    width: fit-content;
    color: #0a0a0a !important;
    text-transform: uppercase;
    font-size: 11px;
    font-weight: 400;
    opacity: .2;
}

.woocommerce table.shop_table.cart .product-name a.remove:hover {
    opacity: 1;
    background-color: unset;
}

.woocommerce .quantity .qty {
    border-radius: 0;
}

.woocommerce table.shop_table .actions {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.woocommerce table.shop_table .coupon label {
    display: none;
}

.woocommerce table.shop_table .coupon #coupon_code {
    min-width: 200px;
    height: 42px;
    padding: 0.625rem 0.8125rem;
    font-size: .875rem;
    font-weight: 400;
    line-height: 1.5;
}

.woocommerce table.shop_table .coupon button {
    height: 42px;
    background-color: #cd797f;
    color: #fff;
    font-family: "Josefin Sans", Sans-serif;
    font-size: 15px;
    font-weight: 400;
}



.woocommerce .cart-collaterals .cart_totals, 
.woocommerce-page .cart-collaterals .cart_totals {
    float: right;
    width: 48%;
}

.woocommerce .cart-collaterals .cart_totals > h2 {
    margin-bottom: 24px;
    font-size: 14px;
    text-transform: uppercase;
    color: #0a0a0a;
}

.woocommerce .cart_totals .shop_table {
    border-color: #f0eaea;
}

.woocommerce .cart_totals .shop_table th, 
.woocommerce .cart_totals .shop_table td {
    padding: 15px 25px;
}

.woocommerce .cart_totals .shop_table th {
    border-right: 1px solid #f0eaea !important;
    background-color: #fbf9f9;

    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;

    vertical-align: middle !important;
}

.wc-proceed-to-checkout .wc-forward {
    padding: 18px 28px;
    padding-bottom: 14px;
    border-radius: 0;
    background-color: var(--ttp-primary);
    font-size: 16px;
    text-transform: uppercase;
}

.wc-proceed-to-checkout .wc-forward:hover {
    background-color: var(--ttp-primary-hover);
}

@media ( max-width: 767px ) {
    .woocommerce table.shop_table.cart tbody td {
        padding-left: 0;
        padding-right: 0;
    }

    .woocommerce table.shop_table_responsive tr td.product-name::before, 
    .woocommerce-page table.shop_table_responsive tr td.product-name::before {
        content: unset;
    }

    .woocommerce table.shop_table.cart .product-name a {
        font-size: 20px;
    }

    .woocommerce .cart-collaterals .cart_totals, 
    .woocommerce-page .cart-collaterals .cart_totals {
        width: 100%;
    }

    .woocommerce .cart_totals .shop_table th, 
    .woocommerce .cart_totals .shop_table td {
        padding: 15px;
    }

    .woocommerce table.shop_table_responsive tr td::before, 
    .woocommerce-page table.shop_table_responsive tr td::before {
        font-size: 18px;
        font-weight: 300;
    }

    .woocommerce-page table.cart td.actions {
        padding: 15px !important;
    }

    .woocommerce table.shop_table .coupon #coupon_code {
        width: 100%;
        margin-bottom: 6px;
    }

    .woocommerce table.shop_table .coupon .button {
        width: 100% !important;
    }

    .cart-collaterals .cross-sells {
        display: none;
    }

    .woocommerce-cart .cart-collaterals {
        margin-top: 42px;
    }
}

:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button {
    font-size: 16px;
    font-weight: 600;
}

/*
 * Checkout header
 */ 
 .ttp-checkout-header {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 30px;
}

.ttp-checkout-step {
    flex: 1;
    opacity: .7;
    padding: 15px 25px;
    position: relative;
}

.ttp-checkout-step::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
    width: 100%;
    background-color: #bdadad;
    opacity: .4;
}

.ttp-checkout-step a:hover {
    text-decoration: none;
}

.ttp-checkout-step h4 {
    display: flex;
    align-items: center;
    margin: 0;
    font-size: 14px;
    text-transform: uppercase;
}

.ttp-checkout-step span {
    font-size: 10px;
    text-transform: uppercase;
    color: #2a2222;
}

.ttp-checkout-step.active {
    opacity: 1;
}

.ttp-checkout-step.active::after {
    opacity: 1;
}
 
.ttp-checkout-step.active h4::before {
    content: '\f058';
    margin-right: 16px;
    font-size: 20px;
    font-weight: 100;
    font-family: 'FontAwesome 5 Pro';
}

@media ( max-width: 768px ) {
    .ttp-checkout-header {
        flex-direction: column;
    }

    .ttp-checkout-step {
        padding: 8px 0;
    }

    .ttp-checkout-step::after {
        content: unset;
    }

    .ttp-checkout-step span {
        display: none;
    }
}

/*
 * Checkout
 */
.woocommerce .woocommerce-form-coupon-toggle {
    margin-bottom: 40px;
    padding: 25px;
    background: #f2e6d8;
}

.woocommerce .woocommerce-info {
    margin: 0;
    padding: 0;
    border: 0;
    background: none;
}

.woocommerce .woocommerce-info::before {
    content: unset;
}

.woocommerce table.woocommerce-checkout-review-order-table {
    border: 1px solid rgba( 0, 0, 0, .1 );
}

.woocommerce table.woocommerce-checkout-review-order-table thead th {
    background: #f0eaea;
}

.woocommerce table.woocommerce-checkout-review-order-table tfoot td {
    background-color: #fbf9f9;
    font-weight: 300;
}

.woocommerce table.woocommerce-checkout-review-order-table tfoot .order-total th,
.woocommerce table.woocommerce-checkout-review-order-table tfoot .order-total td {
    background: #f0eaea;
}

#add_payment_method #payment, 
.woocommerce-cart #payment, 
.woocommerce-checkout #payment {
    border-radius: 0;
}

.woocommerce-checkout #payment ul.payment_methods, #add_payment_method #payment ul.payment_methods,
.woocommerce-checkout #payment div.form-row, #add_payment_method #payment div.form-row {
    padding: 30px;
}

.woocommerce #payment #place_order, .woocommerce-page #payment #place_order {
    padding: 20px;
    width: 100%;
    border-color: #446e40;
    background-color: #446e40;
}

.woocommerce-checkout form .form-row label {
    margin-bottom: 2px;
    font-size: 11px;
    font-weight: 600;
    text-transform: uppercase;
}
 
textarea.form-control,
input[type='text'],
input[type='email'],
input[type='tel'] {
    height: 54px;
    padding: 12px 16px;
    border-radius: 2px;
    border-color: #dacece;
    font-weight: 500;
    font-size: 18px;
    color: #564848;
    line-height: 1.5 !important;
}

.woocommerce form .form-row {
    margin-bottom: 20px;
    padding: 0;
}

.select2-container--default .select2-selection--single {
    height: 54px;
    padding: 12px 16px;
    padding-left: 8px;
    border-radius: 2px;
    border-color: #dacece;
    font-weight: 600;
    font-size: 18px;
    color: #564848;
    line-height: 1.5 !important;
}

/*
 * Add to Cart (product page)
 */
.single-product .elementor-add-to-cart .quantity {
    margin: 0 !important;
    padding: 8px;
    background-color: var(--ttp-primary);
}

.single-product .elementor-add-to-cart .quantity .qty {
    height: 42px !important;
}

.single-product .elementor-add-to-cart .single_add_to_cart_button {
    margin: 0 !important;
    border-radius: 0;
    background-color: var(--ttp-primary);
    color: #fff;
    font-size: 13px;
    font-weight: 400;
    text-transform: uppercase;
}

.single-product .elementor-add-to-cart .single_add_to_cart_button.disabled {
    opacity: .8;
    color: #fff;
}

.single-product .elementor-add-to-cart .single_add_to_cart_button.disabled:hover,
.single-product .elementor-add-to-cart .single_add_to_cart_button:hover {
    background-color: var(--ttp-primary-hover);
    color: #fff;
}

.elementor-add-to-cart .e-atc-qty-button-holder {
    display: flex;
    flex-wrap: nowrap !important;
}

.elementor-add-to-cart .e-atc-qty-button-holder .quantity {
    flex-basis: unset !important;
}

/*
 * Checkout
 */
#order_review h3,
#order_review_heading,
#customer_details h3 {
    font-size: 18px;
    margin-bottom: 20px;
}

@media ( max-width: 767px ) {
    #customer_details {
        margin-bottom: 30px;
    }
}

/*
 * Order review (checkout)
 */
#order_review {}

#order_review .shop_table {
    border: 1px solid #f0eaea;
    border-collapse: collapse;
    font-size: 18px;
}

#order_review .shop_table td,
#order_review .shop_table th {
    padding: 20px;
}

#order_review .shop_table thead th {
    background: #f0eaea;
    font-weight: 600;
    font-size: 12px;
    text-transform: uppercase;
}

#order_review .shop_table td.product-name {
    width: 65%;
}

#order_review .shop_table tfoot {
    background-color: #fbf9f9;
}

#order_review .shop_table tfoot th {
    font-weight: 600;
    font-size: 12px;
    text-transform: uppercase;
}

#order_review #payment {
    background-color: #f0eaea;
}

/*
 * WooCommerce Notices
 */
.woocommerce-error, 
.woocommerce-info, 
.woocommerce-message {
    margin-bottom: 20px;
    padding: 42px;
    padding-left: 80px;
    border-top: 0;
    background-color: #fbf9f9;
}

.woocommerce-error {
    background-color: #f4cbcd;
}

.woocommerce .woocommerce-message .button {
    border-radius: 0;
    background-color: var(--ttp-primary);
    color: #fff;
    font-size: 16px;
    font-weight: 400;
    text-transform: uppercase;
}

.woocommerce .woocommerce-message .button:hover {
    background-color: var(--ttp-primary-hover);
    color: #fff;
}

.woocommerce-message::before {
    content: '\f00c';
    top: 47%;
    color: #8e8e8e;
    font-family: 'FontAwesome 5 Pro';
    font-weight: 400;
    font-size: 24px;
    transform: translateY(-50%);
}

.woocommerce-error::before {
    top: 47%;
    color: #8e8e8e;
    font-weight: 400;
    font-size: 24px;
    transform: translateY(-50%);
}

.woocommerce-error li, 
.woocommerce-info li, 
.woocommerce-message li {
    font-size: 18px;
}

.woocommerce-NoticeGroup-checkout {
    width: 100%;
    padding: 0 15px;
}

@media ( max-width: 767px ) {
    .woocommerce-error, 
    .woocommerce-info, 
    .woocommerce-message {
        display: flex !important;
        flex-direction: column-reverse;
        align-items: flex-start;
        padding: 20px;
        padding-left: 60px;
    }

    .woocommerce-error::before,
    .woocommerce-message::before { 
        left: 20px;
    }

    .woocommerce-message .button.wc-forward {
        margin-top: 12px;
    }

    .woocommerce-error li {
        margin-bottom: 12px;
    }
}

/*
 * WooCommerce Tabs
 */
.woocommerce-tabs .nav-tabs {
    border-bottom: 2px solid #f0eaea;
}

.woocommerce-tabs .nav-tabs .nav-link {
    padding: 20px 30px;
    border: 0;
    color: var(--ttp-primary);
    font-size: 22px;
    font-weight: 600;
    opacity: .6;
}

.woocommerce-tabs .nav-tabs .nav-link.active {
    opacity: 1;
    border-bottom: 2px solid #bdadad;
}

.woocommerce-tabs .panel {
    padding: 30px 0 !important;
    border: 0 !important;
}

/*
 * Bootstrap grid (overwrite)
 */
.container,
.container-lg, 
.container-md, 
.container-sm, 
.container-xl {
    max-width: 1380px;
}

.elementor-grid-4 .col-md-6 {
    -ms-flex: 0 0 25%;
    flex: 0 0 25%;
    max-width: 25%;
}

@media ( max-width: 991px ) {
    .elementor-grid-tablet-3 .col-md-6 {
        -ms-flex: 0 0 33.%;
        flex: 0 0 33.3%;
        max-width: 33.3%;
    }
}

@media ( max-width: 767px ) {
    .elementor-grid-mobile-2 .col-md-6 {
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
}

@media ( max-width: 567px ) {
    .elementor-grid-mobile-2 .col-md-6 {
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}

/*
 * Gravity forms
 */
.gform_wrapper .gform_body input[type="text"],
.gform_wrapper .gform_body input[type="email"] {
    min-width: 240px;
    height: 50px;
    padding: 8px 14px !important;
    border: 1px solid #f2e6d8;
    box-shadow: unset;
    font-size: 17px !important;
}

.gform_wrapper .gform_body .gform-button {
    border: 0;
}
 
@media ( max-width: 767px ) {
    .gform_wrapper .gform-button {
        line-height: 1 !important;
    }

    #gform_wrapper_1 #field_submit {
        justify-content: center;
    }
}

/*
 * Flatpickr
 */
.flatpickr-weekdaycontainer {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
}

.flatpickr-month {
    height: 36px;
    padding-top: 3px;
}

.flatpickr-monthDropdown-months {
    border: 0 !important;
}

.flatpickr-day.flatpickr-disabled {
    opacity: .25;
}

.flatpickr-day.nextMonthDay {
    color: rgba(57,57,57,1);
}

/*
 * Color facet
 */
.facetwp-color {
	position: relative;
	border: 1px solid #eee;
	border-radius: 3px;
	box-shadow: 0 0 20px rgba(0,0,0,0.2);
}

.facetwp-color:hover::before {
	content: attr(data-value);
	position: absolute;
	left: 50%;
	top: -50%;
	padding: 4px;
	border-radius: 3px;
	background: rgba(0,0,0,0.4);
	font-size: 14px;
	transform: translate(-50%, -50% );
	line-height: 1;
	color: #fff;
}

.sc-button--secondary, 
.sc-button--secondary[type] {
	color: #000;
}

/* 17-04-24 */
#pref_shipping_date_field .optional {
    display: none;
}

/* 10-03-2025 */
.woocommerce-category-description {
	max-width: 1000px;
	padding: 50px 0;
}

.form-row .description {
    margin-top: 8px;
    font-size: 14px;
    line-height: 1.4;
    opacity: .6;
}